fisco bcos怎么升级版本v2.5.x升级到v2.6.0

参考官方文档地址:https://fisco-bcos-documentation.readthedocs.io/zh_CN/latest/docs/change_log/2_6_0.html

v2.5.x升级到v2.6.0

  • 兼容升级 :直接替换v2.5.x节点的二进制为 v2.6.0二进制 ,新增支持国产麒麟操作系统、solidity 0.6、IPv6、节点时间对齐、区块执行超时时间配置等功能,升级后的版本修复v2.5.x中的bug,并进一步优化了性能。

ps:直接替换节点目录下的fisco-bcos文件重启节点即可

问题:一个是V2.5的版本一个是V2.6的版本这两个节点是不是没法共识呀

答案:试了 下我的版本不一样 但是我改了config.ini的里面 所有的那个版本信息 我改成了一样 几个节点是可以共识的

  • 全面升级 :参考 安装 搭建新链,重新向新节点提交所有历史交易,升级后节点包含v2.6.0所有新特性
  • v2.6.0 Release Note

变更描述

新增

  • 新增对国产麒麟操作系统V10(Kunpeng-920/ARM aarch64)的支持
  • 新增对Solidity 0.6的支持
  • 新增节点间时间对齐机制
  • 新增对IPv6的支持
  • 新增群组SDK白名单机制,默认关闭
  • 新增获取区块头的接口getBlockheaderByNumber/getBlockHeaderByHash
  • 新增支持配置区块执行超时时间

更改

  • rPBFT共识算法引入VRF随机数算法,进一步保证共识算法的安全性
  • evm引擎由aleth-interpreter替换为evmone
  • 升级EVMC接口版本为7.3.0
  • 源码编译要求GCC版本不小于5.4.0
  • 支持AMOP消息路由到节点自身
  • MySQL存储模式下区块等数据使用二进制存储并启动压缩

修复

  • 修复因为交易广播标记缓存没有清理干净导致的轻微内存泄露问题
  • 修复raft共识下,非leader节点交易池中的交易不能被打包的问题
  • 在MySQL存储模式下,Solidity合约写接口中调用Table的select接口时,偶现的Gas计算不一致问题
  • 用户自己生成的错误证书导致coredump问题
  • 在Solidity中使用汇编调用以太坊预编译合约0x1-0x9,对错误输入没有返回0的问题

兼容性

向前兼容,旧版本可以直接替换程序升级

 

推荐版本

最低版本

说明

控制台

1.1.0

1.0.4

 

SDK

2.6.0

2.0.4

 

generator

1.6.0

1.1.0

搭建新链需要使用该版本

浏览器

2.0.2

2.0.0-rc2

 

Solidity

最高支持 solidity 0.6.10

0.4.11

 

amdb-proxy

2.3.0

2.0.2

 

兼容模式回滚至v2.5.x方法

当节点采用兼容模式从v2.5.x升级至v2.6.0后,可直接通过将节点二进制替换回v2.5.x完成回滚。

猜你喜欢

转载自blog.csdn.net/ws327443752/article/details/108265420

相关文章